Subject: Re: bug#76084: 31.0.50; Dragging tab line does not resize windows, unlike header line or mode line

From: Jared Finder <[email-masked]>
Date: Sun, 02 Mar 2025 17:32:35 -0800

On 2025-02-28 01:25, martin rudalics wrote:
>> Thanks, I tried out your patch, and everything works nicely.
>> Looks like it's ready to be installed if Martin agrees?
> 
> I think it's ready.
> 
> BTW when I do M-x ruler-mode a second time in the same buffer I'm told
> 
> Ruler mode disabled in current buffer
> 
> but I still see the ruler.  It disappears only after a
> 'set-window-buffer'.  Is that the intended behavior for minor modes?

I don't see this behavior locally on 
76342efe9d758a6ca66cdc0ed197381664a6fbbd + my patch.  I just ran 
src/emacs -q, and then ran M-x ruler-mode twice.

   -- MJF